org.eclipse.graphiti.internal.command

## Class FeatureCommand

- java.lang.Object
- - org.eclipse.graphiti.internal.command.FeatureCommand

All Implemented Interfaces:
  IFeatureHolder, IFeatureProviderHolder, IDescription, ICommand, IReadOnlyProvider

Direct Known Subclasses:
  FeatureCommandWithContext

    public abstract class FeatureCommand
    extends Object
    implements ICommand, IFeatureHolder, IReadOnlyProvider

This command encapsulates a features.

### Constructor Summary

Constructors
Constructor and Description
`FeatureCommand(IFeature feature)` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()` Gets the description.
`IFeature` `getFeature()` Gets the feature.
`IFeatureProvider` `getFeatureProvider()` Gets the feature provider.
`boolean` `isReadOnly()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.internal.command.ICommand

`canExecute, canUndo, execute, undo`

### Constructor Detail

#### FeatureCommand

    public FeatureCommand(IFeature feature)

The Constructor.

Parameters:
  `feature` - the feature

### Method Detail

#### getFeature

    public IFeature getFeature()

Gets the feature.

Specified by:
  `getFeature` in interface `IFeatureHolder`
Returns:
  Returns the feature.

#### getDescription

    public String getDescription()

Description copied from interface: `IDescription`
Gets the description.

Specified by:
  `getDescription` in interface `IDescription`
Returns:
  the description

#### getFeatureProvider

    public IFeatureProvider getFeatureProvider()

Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider

#### isReadOnly

    public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `IReadOnlyProvider`